Subject: Re: [RFC PATCH 00/10] Add support for DMA and audio codec of F1C100s

From: Vinod Koul <[email-masked]>
Date: Wed, 23 Oct 2024 11:38:11 +0530

On 23-10-24, 00:52, Csókás Bence wrote:
> Hi,
> I was trying to get audio on the F1C200s, but so far had no luck, and I came
> across this series.
> 
> On 2018. 12. 02. 22:23, Mesih Kilinc wrote:
> > This is RFC patchset for Allwinner suniv F1C100s to support DMA and
> > audio codec.
> > 
> > Allwinner F1C100s has a audio codec that has necessary digital and
> > analog parts. It has r-l headphone output and microphone, line, r-l
> > FM inputs. ADC can capture any inputs and also output channels via mux.
> > Any input channels or DAC samples can feed output channels.
> > 
> > Add support for this audio codec.
> > 
> > F1C100s utilizes DMA channels to send and receive ADC-DAC samples. So
> > DMA support needed. Patch 1~5 adds support for DMA. Suniv F1C100s has
> > very similar DMA to sun4i. But there is some dissimilarities also.
> > Suniv features a DMA reset bit in clock  control unit. It has smaller
> > number of DMA channels. Several registers has different addresses.
> > It's max burst size is 4 instead of 8. Also DMA endpoint numbers are
> > different.
> > 
> > Patch 6 adds DMA max burst option to sun4i-codec.
> > 
> > Patch 7~8 Add support for suniv F1C100s audio codec.
> > 
> > Patch 9 adds audio codec to suniv-f1c100s.dtsi
> > 
> > Patch 10 adds audio codec support to Lichee Pi Nano board.
> > Thanks!
> > 
> > Mesih Kilinc (10):
> >    dma-engine: sun4i: Add a quirk to support different chips
> >    dma-engine: sun4i: Add has_reset option to quirk
> >    dt-bindings: dmaengine: Add Allwinner suniv F1C100s DMA
> >    dma-engine: sun4i: Add support for Allwinner suniv F1C100s
> >    ARM: dts: suniv: f1c100s: Add support for DMA
> >    ASoC: sun4i-codec: Add DMA Max Burst field
> >    dt-bindigs: sound: Add Allwinner suniv F1C100s Audio Codec
> >    ASoC: sun4i-codec: Add support for Allwinner suniv F1C100s
> >    ARM: dts: suniv: f1c100s: Add support for Audio Codec
> >    ARM: dts: suniv: f1c100s: Activate Audio Codec for Lichee Pi Nano
> > 
> >   .../devicetree/bindings/dma/sun4i-dma.txt          |   4 +-
> >   .../devicetree/bindings/sound/sun4i-codec.txt      |   5 +
> >   arch/arm/boot/dts/suniv-f1c100s-licheepi-nano.dts  |   8 +
> >   arch/arm/boot/dts/suniv-f1c100s.dtsi               |  25 ++
> >   drivers/dma/Kconfig                                |   4 +-
> >   drivers/dma/sun4i-dma.c                            | 221 ++++++++++--
> >   sound/soc/sunxi/sun4i-codec.c                      | 371 ++++++++++++++++++++-
> >   7 files changed, 601 insertions(+), 37 deletions(-)
> 
> What's the status of this series? I see that it was not merged, despite
> getting a few ACKs and only a few minor comments. Ripard's comments make me
> believe that the sun4i DMA driver should be able to handle the suniv family
> with minimal adjustments, have those not been added? Or is it that the DMA
> support is ready but the ALSA/ASoC support is missing?

Maybe split the series and post dma and audio parts separately for review

-- 
~Vinod